padlock.h File Reference

VIA PadLock ACE for HW encryption/decryption supported by some processors. More...

`#include "aes.h"`
Include dependency graph for padlock.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_ERR_PADLOCK_DATA_MISALIGNED -0x0030
| Input data should be aligned. More...

## Detailed Description

VIA PadLock ACE for HW encryption/decryption supported by some processors.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file padlock.h.

## Macro Definition Documentation

#define MBEDTLS_ERR_PADLOCK_DATA_MISALIGNED -0x0030

Input data should be aligned.

Definition at line 29 of file padlock.h.